<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
<meta charset="UTF-8">
<title>title</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="test2.css" rel="stylesheet" type="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css">
</style>
</head>

<body>
<body link="#ff0000">
	<nav class="navbar navbar-light mb-2"
		style="background-color: #deb887;">
		<div class="row col-sm-3 user-info">
			<font color="white">ユーザ名さん</font> <a class="navbar-brand"
				href="LoginServlet" class="ml-5"> <font color="red">ログアウト</font>
			</a>
		</div>
	</nav>


	<table width="100%">
		<tr>
			<td align="center">
				<h1>商品管理</h1>
			</td>
		</tr>
	</table>
</body>
<table width="100%">
	<tr>
		<td align="right"><a href="Sinki" class="mr-5">商品新規登録</a></td>
	</tr>
</table>
<form class="form-signin" action="UserListServlet" method="post">
	<div class="table">
		<table class="mx-auto mt-5">
			<tr height="50">
				<td width="200">商品ID</td>
				<td><input name=loginId></td>
			</tr>
			<tr>
				<td>商品名</td>
				<td><input name=username></td>
			</tr>
			<td>更新日、登録日</td>
			<td><input type="date" name="startDate"></td>
			<td>～</td>
			<td><input type="date" name="endDate"></td>
		</table>


		<div class="mr-sm-5">
			<div class="text-right">
				<input type="submit" value="検索" a href="UserListServlet"
					class="btn btn-primary">
			</div>
        </div></div>
</form>

<center>
<table border="1" cellpadding=”3″>
	<tr>
		<th align="center" bgcolor="#ffc0cb">商品ID</th>
		<th bgcolor="#ffc0cb">商品名</th>
		<th align="center" bgcolor="#ffc0cb">更新日、登録日</th>
		<th bgcolor="#ffc0cb"></th>
	</tr>
	<tr>

		<c:forEach var="user" items="${userList}">

			<tr>
				<td>${user.loginId}</td>
				<td>${user.name}</td>
				<td>${user.birthDate}</td>
				<!-- TODO 未実装；ログインボタンの表示制御を行う -->
				<td><c:if test="${userInfo.loginId =='admin'}">
						<a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
						<a class="btn btn-success" href="UpdateServlet?id=${user.id}">更新</a>
						<a class="btn btn-danger" href="DeleteServlet?id=${user.id}">削除</a>
				
					</c:if></td>
</tr>
		</c:forEach>






	</tr>
</table>
    			</center>
</body>

</html>